---
title: vendorIDSource
slug: Web/API/BluetoothDevice/vendorIDSource
tags:
  - API
  - BluetoothDevice
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Bluetooth API
  - vendorIDSource
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>BluetoothDevice.vendorIDSource</code></strong> read-only property returns the Vendor ID Source field in the <code>pnp_id</code> characteristic in the <code>device_information</code> service.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var vendorIDSource = <em>instanceOfBluetoothDevice</em>.vendorIDSource</pre>

<h3 id="Returns">Returns</h3>

<p>The Vendor ID Source field.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.vendorIDSource")}}</p>
</div>
